> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get scheduled check drift data



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/model/{model_id}/{scheduler_id}/scheduled-check-drift-data
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/{scheduler_id}/scheduled-check-drift-data:
    summary: Get scheduled check drift data
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
      - in: path
        name: scheduler_id
        required: true
        schema:
          type: string
      - in: query
        name: sortOrder
        required: false
        schema:
          type: string
      - in: query
        name: sortOn
        required: false
        schema:
          type: string
      - in: query
        name: pageNumber
        required: false
        schema:
          type: string
      - in: query
        name: pageSize
        required: false
        schema:
          type: string
      - in: query
        name: searchQuery
        required: false
        schema:
          type: string
    get:
      tags:
        - ModelDrift
      summary: Get scheduled check drift data
      operationId: getScheduledCheckDriftData
      responses:
        '200':
          description: Gets the model timeline data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/driftHistoryData'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    driftHistoryData:
      type: object
      required:
        - dataForCheck
        - columnData
        - totalCount
        - pagination
      properties:
        pagination:
          $ref: '#/components/schemas/pagination'
        totalCount:
          type: integer
        dataForCheck:
          type: object
          properties:
            trainingNumRows:
              type: integer
            predictionNumRows:
              type: integer
            dataFrom:
              type: number
            dataTo:
              type: number
        columnData:
          type: array
          items:
            $ref: '#/components/schemas/columnDriftAndDistributionCalculation'
        searchQuery:
          type: string
          nullable: true
    pagination:
      type: object
      required:
        - pageSize
        - pageNumber
        - sortOrder
        - sortOn
      properties:
        pageSize:
          type: integer
        pageNumber:
          type: integer
        sortOrder:
          type: integer
        sortOn:
          type: string
          enum:
            - column_name
            - divergence
            - model_column_id
            - feature_importance
            - created_on
            - created_at
            - updated_at
    columnDriftAndDistributionCalculation:
      type: object
      properties:
        id:
          type: string
        columnName:
          type: string
        columnType:
          type: string
        valueType:
          type: string
        featureImportance:
          type: number
        algorithm:
          type: string
        modelColumnId:
          type: string
        modelCalculationId:
          type: string
        columnDriftStatus:
          type: boolean
        divergence:
          $ref: '#/components/schemas/divergence'
        divergenceRule:
          $ref: '#/components/schemas/divergenceRule'
        trainingDistribution:
          $ref: '#/components/schemas/distribution'
        predictionDistribution:
          $ref: '#/components/schemas/distribution'
    divergence:
      type: object
      nullable: true
      properties:
        divergence:
          type: number
          nullable: true
        pValue:
          type: number
          nullable: true
    divergenceRule:
      type: object
      properties:
        operator:
          type: string
        valuesToCheck:
          type: array
          items:
            type: number
            format: float
    distribution:
      nullable: true
      type: object
      properties:
        binValues:
          description: >-
            The "bin" for a statistical distribution. May be numerical or
            categorical.
          type: array
          items:
            type: string
          default: []
        counts:
          description: An array of counts representing the bin distribution in the data.
          type: array
          items:
            type: integer
        normalizedValues:
          description: >-
            Normalized form, or proportional representation, of "counts" in the
            data
          type: array
          items:
            type: number
          default: []
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````